﻿@model DataBaseFinalProject.ViewModels.CreateIncomeCategoryViewModel

@{
    ViewBag.Title = "Creating Income Category";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            @using (Html.BeginForm("Create", "IncomeCategory", FormMethod.Post))
            {
                <div class="form-group mb-3">
                    <label for="ClientId" class="form-label">Choose User:</label>
                    <select id="ClientId" name="IncomeCategory.UserId" class="form-select">
                        <option value="">Choose user</option>
                        @foreach (var user in Model.Users)
                        {
                            <option value="@user.Id">@user.Nickname</option>
                        }
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="IncomeCategory.Name" class="form-label">Category Name:</label>
                    <input asp-for="IncomeCategory.Name" class="form-control" placeholder="Enter category name"/>
                    <span asp-validation-for="IncomeCategory.Name" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="IncomeCategory.CreatedAt" class="form-label">Created At:</label>
                    <input asp-for="IncomeCategory.CreatedAt" class="form-control" placeholder="Enter creation date"/>
                    <span asp-validation-for="IncomeCategory.CreatedAt" class="text-danger"></span>
                </div>

                <button type="submit" class="btn btn-primary w-100">Create Income Category</button>
            }
        </div>
    </div>
</div>

@section Scripts {
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
}